+++
title = "helm get"
weight = "10"

tags = ["commands"]
section = "helm-commands"
categories = ["helm-commands"]
type = "page"

slug = "helm-get"

[menu.main]
  url = "helm-get"
  parent = "helm-commands"

+++

## helm get

download a named release

### Synopsis



This command shows the details of a named release.

It can be used to get extended information about the release, including:

  - The values used to generate the release
  - The chart used to generate the release
  - The generated manifest file

By default, this prints a human readable collection of information about the
chart, the supplied values, and the generated manifest file.


```
helm get [flags] RELEASE_NAME
```

### Options

```
      --revision int32       get the named release with revision
      --tls                  enable TLS for request
      --tls-ca-cert string   path to TLS CA certificate file (default "$HELM_HOME/ca.pem")
      --tls-cert string      path to TLS certificate file (default "$HELM_HOME/cert.pem")
      --tls-key string       path to TLS key file (default "$HELM_HOME/key.pem")
      --tls-verify           enable TLS for request and verify remote
```

### Options inherited from parent commands

```
      --debug                     enable verbose output
      --home string               location of your Helm config. Overrides $HELM_HOME (default "~/.helm")
      --host string               address of tiller. Overrides $HELM_HOST
      --kube-context string       name of the kubeconfig context to use
      --tiller-namespace string   namespace of tiller (default "kube-system")
```

### SEE ALSO
* [helm](#helm)	 - The Helm package manager for Kubernetes.
* [helm get hooks](#helm-get-hooks)	 - download all hooks for a named release
* [helm get manifest](#helm-get-manifest)	 - download the manifest for a named release
* [helm get values](#helm-get-values)	 - download the values file for a named release
